.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the Path2D.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_Path2D:

Path2D
======

**Inherits:** :ref:`Node2D<class_node2d>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Contains a :ref:`Curve2D<class_curve2d>` path for :ref:`PathFollow2D<class_pathfollow2d>` nodes to follow.

Member Variables
----------------

  .. _class_Path2D_curve:

- :ref:`Curve2D<class_curve2d>` **curve** - A :ref:`Curve2D<class_curve2d>` describing the path.


Description
-----------

Can have :ref:`PathFollow2D<class_pathfollow2d>` child-nodes moving along the :ref:`Curve2D<class_curve2d>`. See :ref:`PathFollow2D<class_pathfollow2d>` for more information on this usage.

